API SpecificationUploads
Create upload
Finalizes an upload after the file has been uploaded to the presigned URL. Supports creating new uploads, replacing existing ones, or upserting by path.
Authorization
OAuth2 upl:uploads:createAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:uploads:create
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
bucketRef?|
Reference to the bucket
uploadRequestId?string
Unique identifier for the upload request
filename?string
Name of the file to be uploaded
tags?tags
Tags to associate with the upload
uploadedBy?string
User who uploaded the file
partEtags?
List of part ETags for multipart uploads
allowAnyExtension?boolean
defaultSlugExtension?string|null
private?boolean|null
Private access for this upload. If null, inherits from parent folder.
integrationHidden?boolean|null
Whether the parent folder should be hidden from non-integration clients. Only settable by integration API key clients.
create*
Create a new upload in this directory
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketUploadsService/CreateUpload" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "create": {} }'{
"upload": {
"uploadId": "string",
"filename": "string",
"path": "string",
"slug": "string",
"url": "string",
"contentUrl": "string",
"sizeBytes": 0,
"type": "UPLOAD_TYPE_UNSPECIFIED",
"tags": [
"string"
],
"integrationId": "497a18ca-284e-40c0-985d-f72be35d468e",
"integration": {
"integrationId": "string",
"name": "string",
"oauthClientId": "string",
"folderBehavior": "INTEGRATION_FOLDER_BEHAVIOR_UNSPECIFIED",
"folderLinkUrl": "string"
},
"allowAnyExtension": true,
"defaultSlugExtension": "string",
"generatedDescription": "string",
"metaUploads": [
{
"type": {
"type": "MetaUploadType_UNSPECIFIED",
"n": 0,
"filename": "string"
},
"metadataId": "string",
"uploadUrl": "string",
"downloadUrl": "string"
}
],
"private": true,
"aliases": [
{
"aliasId": "string",
"uploadId": "string",
"path": "string",
"slug": "string",
"url": "string",
"hasPassword": true,
"expiresAt": "2023-01-15T01:30:15.01Z",
"maxUses": 0,
"useCount": 0,
"allowedUserIds": [
0
],
"createdAt": "2023-01-15T01:30:15.01Z",
"externalPath": "string"
}
],
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z",
"author": {
"userId": 0,
"username": "string"
},
"lastModifiedBy": {
"userId": 0,
"username": "string"
},
"thumbnailGenerationVersion": 0,
"aiDescriptionGenerationVersion": 0,
"aiTagsGenerationVersion": 0,
"virusScanGenerationVersion": 0,
"aiDescriptionInputRef": "string",
"intentMetadata": {
"property1": {},
"property2": {}
},
"externalPath": "string",
"order": 0,
"isVirtualFile": true,
"integrationHidden": true
}
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}